<?php
require_once(__DIR__.'/vendor/autoload.php');

use \JHodges\Sitemap\Crawler;

if(!$url=getenv('CRAWL_URL')){
	die("No env: CRAWL_URL\n");
}

$crawler=new Crawler();
$crawler->crawl($url);

foreach($crawler->getResults() as $url=>$result){
        echo("{$result['code']} {$url}\n");
        foreach($result['foundOn'] as $url=>$count){
            echo("    <- ($count) $url\n");
        }
}
